#! /bin/bash


effective_uid=$("id" | grep -o "uid=[0-9]*" | cut -d= -f2)
if [ $effective_uid -ne 0 ]
then
    echo -e "\033[1;31mThe script needs to be run as root.\033[0m"
    exit 1;
fi

cd `dirname $0`
rm -f /tmp/var/run/mbusd/mbusd_socket
cat /dev/null > /tmp/linkedge.log
#echo `pwd`
${Q}echo "----------------------------------------------------------"
${Q}echo -e "              \033[0;31mStop Link IoT Edge Running Services\033[0m"
${Q}echo "----------------------------------------------------------"
       ./stop.sh
${Q}echo ""

#echo `pwd`
pids=`ps -eo user,pid,ppid,stat,args | grep nginx | grep -v grep | awk '{print $2}'`
if [ -n "$pids" ]; then
    echo "try to kill nginx: $pids"
    kill -s 9 $pids
fi

#start web console service
${Q}echo -e "[  \033[32m+\033[0m  ]  Start Service: OpenAPI/WebConsole"
./../bin/startEweb.sh

#start other service.
./../script/start.sh

${Q}echo "----------------------------------------------------------"
${Q}echo -e "           \033[32mStart Link IoT Edge Services Success\033[0m   "
${Q}echo "----------------------------------------------------------"
${Q}echo ""

